Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteVersionAmountLimitTable

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteVersionAmountLimitTable

extends java.rmi.Remote

Interface `RemoteVersionAmountTable` contains version amount records in the report server.

Since:
  5.2

Method Summary
`void` | `commit()` Commit changes into the disk.
`void` | `disableVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user)` Disable max version amount through the catalog and the report.
`int` | `getVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user)` Get max version amount through the catalog and the report.
`void` | `setVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user, int amount)` Set max version amount through the catalog and the report.

Method Detail

### getVersionAmount

    int getVersionAmount(java.lang.String catalog,
                         java.lang.String report,
                         java.lang.String user)
                         throws java.rmi.RemoteException,
                                RptServerException

  Get max version amount through the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
  Returns:
    max version amount of the report.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### setVersionAmount

    void setVersionAmount(java.lang.String catalog,
                          java.lang.String report,
                          java.lang.String user,
                          int amount)
                          throws java.rmi.RemoteException,
                                 RptServerException

  Set max version amount through the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
    `user` - the user id. For example:admin
    `amount` - the max version amount of the report.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### disableVersionAmount

    void disableVersionAmount(java.lang.String catalog,
                              java.lang.String report,
                              java.lang.String user)
                              throws java.rmi.RemoteException,
                                     RptServerException

  Disable max version amount through the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
    `user` - the user id. For example:admin
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### commit

    void commit()
                throws java.rmi.RemoteException,
                       RptServerException

  Commit changes into the disk.

  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD